Package com.io7m.idstore.model

# Record Class IdUserSummary

java.lang.Object
java.lang.Record
com.io7m.idstore.model.IdUserSummary

Record Components:
  `id` - The user ID
  `idName` - The user's ID name
  `realName` - The user's real name
  `timeCreated` - The time the user was created
  `timeUpdated` - The time the user was updated

public record IdUserSummary(UUID id, IdName idName, IdRealName realName, OffsetDateTime timeCreated, OffsetDateTime timeUpdated) extends Record
A summary of a user.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdUserSummary(UUID id, IdName idName, IdRealName realName, OffsetDateTime timeCreated, OffsetDateTime timeUpdated)`
  A summary of a user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `UUID`
  `id()`
  Returns the value of the `id` record component.
  `IdName`
  `idName()`
  Returns the value of the `idName` record component.
  `IdRealName`
  `realName()`
  Returns the value of the `realName` record component.
  `OffsetDateTime`
  `timeCreated()`
  Returns the value of the `timeCreated` record component.
  `OffsetDateTime`
  `timeUpdated()`
  Returns the value of the `timeUpdated` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdUserSummary

    public IdUserSummary(UUID id, IdName idName, IdRealName realName, OffsetDateTime timeCreated, OffsetDateTime timeUpdated)
    A summary of a user.
    Parameters:
      `id` - The user ID
      `idName` - The user's ID name
      `realName` - The user name
      `timeCreated` - The time the user was created
      `timeUpdated` - The time the user was updated

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### id

    public UUID id()
    Returns the value of the `id` record component.
    Returns:
      the value of the `id` record component

  - ### idName

    public IdName idName()
    Returns the value of the `idName` record component.
    Returns:
      the value of the `idName` record component

  - ### realName

    public IdRealName realName()
    Returns the value of the `realName` record component.
    Returns:
      the value of the `realName` record component

  - ### timeCreated

    public OffsetDateTime timeCreated()
    Returns the value of the `timeCreated` record component.
    Returns:
      the value of the `timeCreated` record component

  - ### timeUpdated

    public OffsetDateTime timeUpdated()
    Returns the value of the `timeUpdated` record component.
    Returns:
      the value of the `timeUpdated` record component